<HTML>
<HEAD>

<TITLE>HEPiX Shells Scripts - Tools (27-Jun-1996)</TITLE>
<!-- Changed by: Arnaud Taddei,  8-Jul-1996 -->

</HEAD>
<BODY>


<H1>HEPiX Shells Scripts - Tools</H1>

<P> This page describes the different tools that are used by the HEPiX
Shell Scripts.

%index

<P> <HR> <P>

<P> Note: all these tools can be found by default under
<CODE>/usr/local/lib/hepix/shells/tools</CODE> except:
 <P>
<UL>
<LI> is_hepix used only by the  wrappers
     and located in <CODE>/usr/local/lib/hepix/shells/wrappers</CODE>
</UL>
 <P>

<H2><CODE>%%is_hepix%%</CODE></H2>

<P> This tests if a user should run or not the %h. It is meant to be
used both by the shells and the X11 parts of the %h. The algorithm
is:
 <P>
<UL>
<LI> if the user name is root then no
<LI> if the user id is &lt;= 100 then no
<LI> if the user appears in the exception list
     (by default <CODE>/etc/hepix/list-</CODE>) then no
<LI> otherwise yes
</UL>
 <P>

<H2><CODE>%%GroupName%%</CODE></H2>
 <P>
  Located at /usr/local/lib/hepix/tools
 <P>
  Returns the group-name of the user. A user can specify a
  group name via $HOME/.hepix/preferred-group
 <P>
	

<H2><CODE>%%tklife%%</CODE></H2>
 <P>
  Located at /usr/local/lib/hepix/tools
 <P>
  Called by the periodic commands of the shells (tcsh, zsh) 
  in order to warn the user if his AFS/Kerberos token is going to expire.
 <P>

<H2><CODE><B>%%quota-warn%%</B></CODE></H2>
 <P>
  Located at /usr/local/lib/hepix/tools
 <P>
This commands tells you, the user, if you are "exceeding" your "disk space"
quota limit. In order to have a feeling you can try:
<PRE>
	/usr/local/lib/hepix/quota-warn 10
</PRE>
Which means that if your quota will exceed 10%, you will get a message. 
 <P>
You can use this command in the LOGIN part of your login dot files
(.profile, .zprofile, .login, etc.).

<P> <HR> <P>

<ADDRESS> <A Name=Signature HREF="http://xwho.cern.ch/WHO/people/26840">Arnaud Taddei</A>,  8-Jul-1996</ADDRESS>
</BODY>
</HTML>


